
Redmine - Defect #9061

JRuby + Windows: CVS does not work

2011-08-16 01:27 - Toshi MARUYAMA

Status: Closed Start date: 2011-08-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.2.1

Description

$ jruby.exe --version

jruby 1.6.2 (ruby-1.8.7-p330) (2011-05-23 e2ea975) (Java HotSpot(TM) Client VM 1.6.0_23) [Windows 

Vista-x86-java]

 
$ jruby.exe test/unit/repository_cvs_test.rb

JRuby limited openssl loaded. http://jruby.org/openssl

gem install jruby-openssl for full support.

Loaded suite test/unit/repository_cvs_test

Started

.

Annotations for test/README

***************

Annotations for test/README

***************

.cvs checkout: cannot find module `test/missing.rb' - ignored

.Fcvs rls: cannot find module `test/missing' - ignored

cvs rls: cannot find module `test/missing' - ignored

..FFF

Finished in 5.211 seconds.

  1) Failure:

test_deleted_files_should_not_be_listed(RepositoryCvsTest)

    [test/unit/repository_cvs_test.rb:86:in `test_deleted_files_should_not_be_listed'

     org/jruby/RubyKernel.java:2059:in `send'

     org/jruby/RubyArray.java:1602:in `each'

     org/jruby/RubyArray.java:1602:in `each']:

<7> expected but was

<5>.

  2) Failure:

test_entries_rev3(RepositoryCvsTest)

    [test/unit/repository_cvs_test.rb:100:in `test_entries_rev3'

     org/jruby/RubyKernel.java:2059:in `send'

     org/jruby/RubyArray.java:1602:in `each'

     org/jruby/RubyArray.java:1602:in `each']:

<nil> expected but was

<"3">.

  3) Failure:

test_fetch_changesets_from_scratch(RepositoryCvsTest)

    [test/unit/repository_cvs_test.rb:44:in `test_fetch_changesets_from_scratch

     org/jruby/RubyKernel.java:2059:in `send'

     org/jruby/RubyArray.java:1602:in `each'

     org/jruby/RubyArray.java:1602:in `each']:

<7> expected but was

<5>.

  4) Failure:

test_fetch_changesets_incremental(RepositoryCvsTest)
    [test/unit/repository_cvs_test.rb:72:in `test_fetch_changesets_incremental'

     org/jruby/RubyKernel.java:2059:in `send'

     org/jruby/RubyArray.java:1602:in `each'

     org/jruby/RubyArray.java:1602:in `each']:

<7> expected but was

<5>.

9 tests, 48 assertions, 4 failures, 0 errors

Unit adapter test and fuctional test pass.

source:trunk/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb@6446

source:trunk/test/functional/repositories_cvs_controller_test.rb@6446

Related issues:

Related to Redmine - Defect #8825: JRuby + Windows: SCMs do not work on Redmi... Closed 2011-07-15

Related to Redmine - Defect #9073: JRuby + Windows: Bazaar does not work Closed 2011-08-17

History

#1 - 2011-08-17 06:13 - Toshi MARUYAMA

- Subject changed from JRuby + Windows: CVS does not work on Redmine 1.2 to JRuby + Windows: CVS does not work

#2 - 2018-10-09 15:06 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Wont fix

Jruby is no longer supported starting with Redmine 3.0.0.
https://www.redmine.org/projects/redmine/repository/svn/revisions/6446/entry/trunk/test/unit/lib/redmine/scm/adapters/cvs_adapter_test.rb
https://www.redmine.org/projects/redmine/repository/svn/revisions/6446/entry/trunk/test/functional/repositories_cvs_controller_test.rb
